Welcome aboard Visitor...

Daily Screenshot

Server Costs Target


Target met!

Latest Topics

- Reminiscing
- Holly Cow Its alive!!
- Messenger Battle Chat by T-Roy!
- Getting our Player Base back
- Fully customizable ships?
- First Person view is possible in DS!
- What's with the new Metaverse?
- Carrier default loadouts - ships w/interceptors only?
- 01001000 01100101 01101100 01101100 01101111
- the mi type ships cheat

Development Blog

- Roadmap
- Hello strangers, its been a while...
- State of DarkSpace Development
- Potential planetary interdictor changes!
- The Silent Cartographer
- Cloaking update...
- Tools for tips
- Fleet levels and more!
- Game Mechanics Question and Answer Thread
- Under Construction

Combat Kills

Combat kills in last 24 hours:
Kills chart
Killboard

Upcoming Events

- Weekly DarkSpace
08/24/19 +1.9 Days
- International Talk like a Pirate Day!
09/19/19 +27.2 Days
- Towel Day
05/25/20 +276.2 Days

Search

 

Anniversaries

No anniversaries today.

Facebook & Twitter

Why not follow us on Twitter or Facebook for more information and fan updates?
DarkSpace Manual[SHOW INDEX][DOCUMENT INDEX]
2.1 Minimum System Requirements
DarkSpace requires the following minimum computer specifications to run normally:

o OS: Windows 2000/XP
o CPU: 700 mHz Intel/AMD
o Video: Second-Generation 3D Card (GeForce, Matrox G400, Graphics Blaster)
o Audio: Direct Sound compatible sound card required.
o Hard Drive: 150 MB
o RAM: 512 MB
o Internet Connection (56k modem or faster)
o Direct Input-compatible Mouse.
o DirectX 9.0c or higher

We recommend the following for best performance:

o OS: Windows XP/Vista/7
o CPU: 1 Ghz Intel/AMD
o Video: Third-Generation 3D Card (GeForce FX, Radeon 9x00, or equivalent)
o Audio: Direct Sound compatible sound card required.
o Hard Drive: 150 MB
o RAM: 1 GB
o Internet Connection (ISDN, Cable, ADSL)
o Direct Input-compatible Mouse.
o DirectX 9.0c or higher

DarkSpace requires DirectX 9.0c or higher. All modern Windows machines require DirectX, but if you still need an update, click here.

GameCQ, DarkSpace's web and chat client, requires Internet Explorer 7.0 or higher.


Copyright 2000 - 2019 Palestar Inc. All rights reserved worldwide.
Terms of use - DarkSpace is a Registered Trademark of PALESTAR